Skip to content

SignScan API

SignScan is the explorer for the Sign Protocol.

SignScan Homepage
SignScan Homepage

In the explorer you can:

  • Explore existing schemas and the data they require and contain.
  • Search for existing schemas and attestations.
  • Generate new schemas and attestations with no code.
  • View the most popular schemas.
  • Verify attestations.
  • Retrieve all schemas and attestations made by any public address.

The same index is available to applications through a REST API (schemas, attestations) and a GraphQL API. This page lists the base endpoints and the general-purpose REST calls.

Base endpoints

Testnet

https://testnet-rpc.sign.global/api

Mainnet

https://mainnet-rpc.sign.global/api

Hello world

GET /index

Status endpoint for checking that the attestation backend is working.

Parameters:

None

Response:

{
  "success": true,
  "statusCode": 200,
  "data": "Welcome to Sign Protocol Service!",
  "message": "ok"
}
GET /scan/search

Search schemas, attestations, and addresses by keyword and filter.

Query Parameters:

Key Value Type
filter* attestation "schema", "attestation", "address"
keyword* 0x1 string

* Optional parameter.

Response:

{
    "success": true,
    "statusCode": 200,
    "data": {
        "queryResult": [
            {
                "type": "attestation",
                "rows": [
                    {
                        "id": "onchain_evm_80001_0x1",
                        "chainType": "evm",
                        "chainId": "80001",
                        "attestationId": "0x1",
                        "attester": "0x9854E76134e6D729A633CED51042fF653f04f4C5",
                        "recipients": []
                    },
                    ...
                ],
                "total": 2
            }
        ]
    },
    "message": "ok"
}

Get address statistics

GET /scan/addresses/{address}/statistics

Get attestation and schema statistics for an address.

Query Parameters:

Key Value Type
address 0x059e6B8008d34aC26581fD3ED8378AA93c7941EE string

* Optional parameter.

Response:

{
  "success": true,
  "statusCode": 200,
  "data": {
    "schemaCreated": 6,
    "totalAttestations": 14,
    "attestationCreated": 13,
    "attestationReceived": 3
  },
  "message": "ok"
}